# Merge Request (MR) Template

## Summary

Provide a brief summary of the changes introduced by this merge request.

## Issue Link

* Related Issue: #[issue_number]

## Type of Change

* [ ] New feature
* [ ] Bugfix
* [ ] Code quality improvements
* [ ] Dependency upgrades
* [ ] Refactoring
* [ ] Other: [Please specify]

## Automation Done

Check the passing the tests you've performed to ensure that the change works as expected.

* [ ] Pre-commit hooks passing
* [ ] Automated tests passing in local
* [ ] Automated tests passing in CI

## Checklist

* [ ] My code follows the project's style guidelines.
* [ ] I have commented my code, particularly in hard-to-understand areas.
* [ ] I have made corresponding changes to the documentation.
* [ ] Pre-commit, local automated tests and CI automated tests passed.
* [ ] I have checked for any regression impacts and ensured they are addressed.

## Additional Notes

(Optional) Add any additional information or context about the merge request here.
